syntax = "proto3";
option go_package = ".;pb";

message CacheUser {
  string uid = 1;       //@go_tags(`json:"uid"`) 用户id
  string SessionId = 2; //@go_tags(`json:"sessionId"`) 会话id
  string ServiceTag = 3; //@go_tags(`json:"serviceTag"`) 所在服务集群 区服id
  string GatewayServiceId =
      4;         //@go_tags(`json:"gatewayServiceId"`) 所在网关服务id
  string ip = 5; //@go_tags(`json:"ip"`) 远程ip
}

message DBUser {
  string id = 1;       //@go_tags(`bson:"_id"`) ID
  string uid = 2;      //@go_tags(`bson:"uid"`) 用户ID
  string uuid = 3;     //@go_tags(`bson:"uuid"`) 玩家唯一uuid
  string binduid = 4;  //@go_tags(`bson:"binduid"`) 玩家账号
  string name = 5;     //@go_tags(`bson:"name"`) 玩家名
  string sid = 6;      //@go_tags(`bson:"sid"`) 区服id
  string createip = 7; //@go_tags(`bson:"createip"`) 创建账号时的ip
  string lastloginip = 8; //@go_tags(`bson:"lastloginip"`) 最后一次登录时的ip
  int64 ctime = 9;        //@go_tags(`bson:"ctime"`) 玩家创号时间戳
  int64 logintime = 10; //@go_tags(`bson:"logintime"`) 最后一次登录时间
  string avatar = 12;   //@go_tags(`bson:"avatar"`) 头像
  int64 gold = 13;      //@go_tags(`bson:"gold"`) 金币
  int64 exp = 14;       //@go_tags(`bson:"exp"`) 经验
  bool created = 15;    //@go_tags(`bson:"created"`) 创角
  int32 lv = 16;        //@go_tags(`bson:"lv"`) 等级
  int32 vip = 17;       //@go_tags(`bson:"vip"`)  vip
  int64 diamond = 18;   //@go_tags(`bson:"diamond"`)  钻石
  int32 title = 19;     //@go_tags(`bson:"title"`)头衔
  int64 offlinetime = 11; //@go_tags(`bson:"offlinetime"`) 离线时间
  int32 figure = 20;      //@go_tags(`bson:"figure"`) 主角形象
  int32 bgp = 21;         //@go_tags(`bson:"bgp"`) 背景
}

message DBUserSetting {
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  uint32 huazhi = 3; //@go_tags(`bson:"huazhi"`) 画质 0极致 1精致 2正常 3流畅
  uint32 kangjuchi = 4; //@go_tags(`bson:"kangjuchi"`) 抗锯齿 0 1 2 3
  bool gaoguang = 5;    //@go_tags(`bson:"gaoguang"`) 高光
  bool wuli = 6;        //@go_tags(`bson:"wuli"`) 物理模拟
  bool music = 7;       //@go_tags(`bson:"music"`) 音乐
  bool effect = 8;      //@go_tags(`bson:"effect"`) 音效

  bool guaji = 9;      //@go_tags(`bson:"guaji"`) 挂机
  bool fuben = 10;     //@go_tags(`bson:"fuben"`) 特殊副本重置
  bool tansuo = 11;    //@go_tags(`bson:"tansuo"`) 蜂窝探索
  bool huodong = 12;   //@go_tags(`bson:"huodong"`) 特殊活动开启
  bool xuanshang = 13; //@go_tags(`bson:"wanfa"`)悬赏玩法重置
  bool saiji = 14;     //@go_tags(`bson:"wanfa"`)格斗场玩法赛季重置
}
